Bug 14269 - OPAC: Small template improvements to full serial history page
Summary: OPAC: Small template improvements to full serial history page
Status: CLOSED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: OPAC (show other bugs)
Version: master
Hardware: All All
: P5 - low minor (vote)
Assignee: Katrin Fischer
QA Contact: Testopia
URL:
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2015-05-25 10:12 UTC by Katrin Fischer
Modified: 2016-12-05 21:22 UTC (History)
3 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Small patch
Bot Control: ---
When did the bot last check this:
Who signed the patch off:
Text to go in the release notes:


Attachments
Bug 14269: OPAC: Some template improvements for the full serial history page (4.42 KB, patch)
2015-05-25 10:19 UTC, Katrin Fischer
Details | Diff | Splinter Review
[Signed-off] Bug 14269: OPAC: Some template improvements for the full serial history page (4.61 KB, patch)
2015-05-29 15:01 UTC, Marc Véron
Details | Diff | Splinter Review
Bug 14269: OPAC: Some template improvements for the full serial history page (4.66 KB, patch)
2015-06-04 11:04 UTC, Jonathan Druart
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Katrin Fischer 2015-05-25 10:12:31 UTC
3 small issues on the full serial history page in OPAC:

- Punctuation is not quite right, filters are labelled:
  Library :
  Subscription :
- (All) in the filter pull downs is not translatable
- Table and filters use branchcode instead of branchname
Comment 1 Katrin Fischer 2015-05-25 10:19:59 UTC Comment hidden (obsolete)
Comment 2 Marc Véron 2015-05-29 15:01:19 UTC Comment hidden (obsolete)
Comment 3 Jonathan Druart 2015-06-04 11:04:05 UTC
Created attachment 39846 [details] [review]
Bug 14269: OPAC: Some template improvements for the full serial history page

- Fix filter labels:
  Library : -> Library:
  Subscription : -> Subscription:
- Make '(All)' entry in filter pull downs translatable
- Show branch name instead of branchcode in table and filter

To test:
- Verify changes as described above
- Verify filters still work as expected

Followed test plan. Works as expected.
Signed-off-by: Marc Véron <veron@veron.ch>

Signed-off-by: Jonathan Druart <jonathan.druart@koha-community.org>
Comment 4 Tomás Cohen Arazi 2015-06-04 14:15:57 UTC
Patch pushed to master.

Thanks Katrina!
Comment 5 Chris Cormack 2015-06-07 08:13:21 UTC
Pushed to 3.20.x will be in 3.20.1